Skip to main content

Image

Download an image

Downloads an image. While the only required query parameters are collection name, imagery type name, and image type name, you must provide enough additional information to identify a single imagery in the collection that contains the desired image through one of the following methods:
a) the imagery's name, using the 'name' query parameter, if it's name is unique,
b) the imagery's depth interval, using the 'startDepth' and optionally 'endDepth' query parameters, or
c) the imagery's unique id, using the 'imageryId' query parameter.
If the collection name is not unique within your subscription, you may also need to provide datasetName and workspaceName to uniquely target it.

Servers
https://imago.api.seequent.com/integrate/2

Parameters

Search for this workspace.

Search for this dataset.

Search for this collection.

Search for an imagery with this imagery type.

Search for imagery by name.

Search for imagery by start depth.

Search for imagery by end depth.

Search for an image of this image type in the imagery.

Scale the image to this width (height is adjusted according to aspect ratio if not specified).

Scale the image to this height (width is adjusted according to aspect ratio if not specified).

Search for an image in the imagery with this unique id.

Returns

200

Successful response.

Endpoint

GET
/image

Request

curl -X GET 'https://imago.api.seequent.com/integrate/2/image' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.


Upload an Image

Uploads an image of a specified image type to an imagery.

Pixel limits: PNG, TIFF, and baseline JPEG images are accepted up to ~4.29 billion pixels (65,500 × 65,500). Progressive JPEG images are subject to a 500 megapixel limit, as they require full decompression into memory during processing. Uploads exceeding these limits will be rejected with a 422 response.

Servers
https://imago.api.seequent.com/integrate/2

Parameters

Search for this workspace.

Search for this dataset.

Search for this collection.

Search for an imagery with this imagery type.

Search for imagery by name.

Add an image of this image type.

Search for imagery by start depth.

Search for imagery by end depth.

Search for imagery by longtitude/X.

Search for imagery by latitude/Y.

Search for imagery by elevation/Z.

Image's mime type
Allowed values: 'image/png', 'image/jpeg'

Returns

200

Successful response.

New imagery's identifier (related to start/end depth, x/y/z etc..).

New image's identifier (related to image attached to imagery)

Endpoint

POST
/image

Request

curl -X POST 'https://imago.api.seequent.com/integrate/2/image' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"imageId": "4dba5ebd-264f-4135-8420-1293f61c4e59",
"imageryId": "c2019bd6-34aa-4561-ab2f-8802fa5ff3a9"
}

Was this page helpful?